<?php

namespace Intergo\AuthClient;

use Intergo\BaseClient\ApiHandler;

class AuthApiHandler extends ApiHandler
{
    /** ########### AUTH ########### */
    const API_REGISTER = '/api/v1/auth/register';
    const API_LOGIN = '/api/v1/auth/login';
    const API_LOGIN_BY = '/api/v1/auth/login/by';
    const API_VERIFY = '/api/v1/oauth/verify';
    const API_AUTHENTICATE = '/api/v1/auth/authenticate';
    const API_REFRESH = '/api/v1/auth/refresh';
    const API_INVALIDATE = '/api/v1/auth/invalidate';
    const API_REGENERATE_VERIFICATION_CODE = '/api/v1/auth/regenerate/verification-code';
    const API_VERIFY_EMAIL = '/api/v1/auth/email/verify';
    const API_INVALIDATE_USER = '/api/v1/auth/user/invalidate';

    /** ########### API KEY ########### */
    const API_GET_API_KEY = '/api/v1/users/api/key';
    const API_GENERATE_API_KEY = '/api/v1/users/api/key/generate';
    const API_DISABLE_API_KEY = '/api/v1/users/api/key/disable';
    const API_ENABLE_API_KEY = '/api/v1/users/api/key/enable';
    const API_DELETE_API_KEY = '/api/v1/users/api/key/delete';
    const API_DELETE_USER_API_KEYS = '/api/v1/users/api/key/user/delete';

    /** ########### API CLIENTS ########### */
    const API_GET_API_CLIENT = '/api/v1/users/api/key/client';
    const API_GENERATE_API_CLIENT = '/api/v1/users/api/key/client/generate';
    const API_DISABLE_API_CLIENT = '/api/v1/users/api/key/client/disable';
    const API_ENABLE_API_CLIENT = '/api/v1/users/api/key/client/enable';
    const API_DELETE_API_CLIENT = '/api/v1/users/api/key/client/delete';

}
