<?php

namespace Intergo\AuthClient\Structs\Auth;

use Intergo\AuthClient\Structs\BaseAuth;

class Verify extends BaseAuth
{
    /** @var string */
    public $token;
    /** @var string */
    public $email;

    /**
     * Login constructor.
     * @param $site
     * @param $jwt_auth_secret
     * @param $ip
     * @param $token
     * @param $email
     */
    public function __construct($site, $jwt_auth_secret, $ip, $token, $email)
    {
        parent::__construct($site, $jwt_auth_secret, $ip);
        $this->token = $token;
        $this->email = $email;
    }

    /**
     * @return array|void
     */
    function toArray()
    {
        return array_merge(parent::toArray(), [
            'token' => $this->token,
            'email' => $this->email
        ]);
    }

    /**
     * @return mixed|void
     */
    public function getHeaders()
    {
        // TODO: Implement getHeaders() method.
    }
}
